# API रेफ़रेंस

> हमारी REST API से TBit के साथ इंटीग्रेट करें

- पेज: https://tbit.app/hi/docs/api
- Base URL: `https://rest-api.tbit.app/v1`
- ऑथेंटिकेशन: हर request में आपकी key के साथ `X-API-Key` header (उदाहरण इसे `TBIT_API_KEY` environment variable से पढ़ते हैं)

> **Base URL**
>
> `https://rest-api.tbit.app/v1`

> **Rate limits**
>
> हर API key पर प्रति मिनट 100 requests

### क्विक स्टार्ट

सेकंडों में अपनी पहली API call करें:

> **ओपन-सोर्स उदाहरण**
>
> [इसी API पर बना एक पूरा स्टोरफ़्रंट उदाहरण →](https://github.com/tbit-io/tbit-storefront-example)

- [ऑथेंटिकेशन](https://tbit.app/hi/docs/api/authentication): जानें कि अपनी API requests को कैसे ऑथेंटिकेट करें
- [Activities](https://tbit.app/hi/docs/api/activities): बातचीत और कॉन्टैक्ट्स संभालें
- [टैग](https://tbit.app/hi/docs/api/tags): अपने कॉन्टैक्ट्स के लिए टैग बनाएँ और संभालें
- [कॉन्टैक्ट्स](https://tbit.app/hi/docs/api/contacts): कॉन्टैक्ट की जानकारी पढ़ें और अपडेट करें
- [टेम्पलेट](https://tbit.app/hi/docs/api/templates): WhatsApp टेम्पलेट की लिस्ट देखें और भेजें
- [प्रोडक्ट](https://tbit.app/hi/docs/api/products): अपना प्रोडक्ट कैटलॉग पढ़ें और सिमैंटिक सर्च करें
- [कैटेगरी](https://tbit.app/hi/docs/api/categories): अपने कैटलॉग की कैटेगरी की लिस्ट
- [कार्ट](https://tbit.app/hi/docs/api/carts): शेयर करने लायक कार्ट जो WhatsApp पर पूरे होते हैं
- [फ़ॉर्म फ़ॉरवर्डिंग](https://tbit.app/hi/docs/api/forms-webhook): हर पूरा हुआ फ़ॉर्म अपनी API पर पाएँ (webhook)
- [कस्टम tools](https://tbit.app/hi/docs/api/custom-tools): AI को बातचीत के बीच आपकी API call करने दें
- [एरर](https://tbit.app/hi/docs/api/errors): एरर कोड और उन्हें संभालने का रेफ़रेंस

`GET /v1/activities`

```bash
curl "https://rest-api.tbit.app/v1/activities" \
  -H "X-API-Key: $TBIT_API_KEY"
```
